Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> CGI abuses >> ATutor < 1.5.1-pl1 Multiple Flaws


Vulnerability Assessment Details

ATutor < 1.5.1-pl1 Multiple Flaws

Vulnerability Assessment Summary
Checks for remote arbitrary command in ATutor

Detailed Explanation for this Vulnerability Assessment

Summary :

The remote web server contains a PHP application that is prone to
multiple flaws.

Description :

The remote host is running ATutor, an open-source web-based Learning
Content Management System (LCMS) written in PHP.

The version of ATutor installed on the remote host may be vulnerable
to arbitrary command execution, arbitrary file access, and cross-site
scripting attacks. Successful exploitation of the first two issues
requires that PHP's 'register_globals' setting be enabled and, in some
cases, that 'magic_quotes_gpc' be disabled.

See also :

http://secunia.com/secunia_research/2005-55/advisory/

Solution :

Apply patch 1.5.1-pl1 or upgrade to version 1.5.2 or later.

Network Security Threat Level:

High / CVSS Base Score : 7.0
(AV:R/AC:L/Au:NR/C:P/I:P/A:P/B:N)

Networks Security ID: 15221

Vulnerability Assessment Copyright: This script is Copyright (C) 2005 David Maciejak

Cables, Connectors

Commodore 1531 Datasette Unit - C116, +4, C16 - WIth box and adapter
$79.0
Commodore 1531 Datasette Unit - C116, +4, C16 - WIth box and adapter pictureCommodore 64 Software/Game/Disk BEYOND THE FORBIDDEN FOREST with Manual & Box
$39.95
Commodore 64 Software/Game/Disk BEYOND THE FORBIDDEN FOREST with Manual & Box pictureCommodore 1531 Datasette User's Guide
$1.0
Commodore 1531 Datasette User's Guide pictureCommodore Plus/4 Integrated Software Manual by Commodore
$1.0
Commodore Plus/4 Integrated Software Manual by Commodore picture


Discussions

No Discussions have been posted on this vulnerability.